#131437 Report by node gh-actions covering 201 tests from 60 modules resulted into 3 errors

Report

ObsPy version
1.4.0.post0+21.g674fc38760
GitHub Pull Request
https://github.com/obspy/obspy/pull/3229
Report file
JSON document
Total runtime
152.5 sec
Report date/time
2022-11-24 07:34:52

System / Python

Architecture
64bit
Machine
x86_64
Node
gh-actions
Processor
x86_64
Python Compiler
GCC 10.4.0
Python Implementation
CPython
Python Version
3.11.0
Release
5.15.0-1023-azure
System
Linux
Version
#29~20.04.1-Ubuntu SMP Wed Oct 26 19:18:25 UTC 2022

Dependencies

cartopy
0.21.0
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
4.9.1
matplotlib
3.6.2
numpy
1.23.5
obspy
1.4.0.post0+21.g674fc38760
pyproj
3.4.0
pytest
7.2.0
pytest-json-report
1.5.0
requests
2.28.1
scipy
1.9.3
setuptools
65.5.1
shapefile
---
sqlalchemy
1.4.44

Modules (60)

Module Errors / Failures Tracebacks
obspy.clients Not tested -
obspy.clients.earthworm - -
obspy.clients.fdsn 2 1 2
obspy.clients.filesystem Not tested -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl 1 3
obspy.clients.seedlink - -
obspy.clients.syngine - -
obspy.core - -
obspy.core.event Not tested -
obspy.core.inventory Not tested -
obspy.core.util Not tested -
obspy.geodetics Not tested -
obspy.imaging Not tested -
obspy.io.ah Not tested -
obspy.io.alsep Not tested -
obspy.io.arclink Not tested -
obspy.io.ascii Not tested -
obspy.io.cmtsolution Not tested -
obspy.io.cnv Not tested -
obspy.io.css Not tested -
obspy.io.dmx Not tested -
obspy.io.focmec Not tested -
obspy.io.gcf Not tested -
obspy.io.gse2 Not tested -
obspy.io.hypodd Not tested -
obspy.io.iaspei Not tested -
obspy.io.json Not tested -
obspy.io.kinemetrics Not tested -
obspy.io.kml Not tested -
obspy.io.mseed Not tested -
obspy.io.ndk Not tested -
obspy.io.nied Not tested -
obspy.io.nlloc Not tested -
obspy.io.nordic Not tested -
obspy.io.pdas Not tested -
obspy.io.pde Not tested -
obspy.io.quakeml Not tested -
obspy.io.reftek Not tested -
obspy.io.rg16 Not tested -
obspy.io.sac Not tested -
obspy.io.scardec Not tested -
obspy.io.seg2 Not tested -
obspy.io.segy Not tested -
obspy.io.seisan Not tested -
obspy.io.seiscomp Not tested -
obspy.io.sh Not tested -
obspy.io.shapefile Not tested -
obspy.io.stationtxt Not tested -
obspy.io.stationxml Not tested -
obspy.io.wav Not tested -
obspy.io.win Not tested -
obspy.io.xseed Not tested -
obspy.io.y Not tested -
obspy.io.zmap Not tested -
obspy.realtime Not tested -
obspy.scripts Not tested -
obspy.signal Not tested -
obspy.taup Not tested -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/fdsn/tests/test_client.py", line 862, in test_help_function_with_iris
self.assertTrue(got[-2].startswith('Available catalogs:'))
File "/usr/share/miniconda3/envs/test/lib/python3.11/unittest/case.py", line 715, in assertTrue
raise self.failureException(msg)
AssertionError: False is not true
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/fdsn/tests/test_client.py", line 412, in test_iris_event_catalog_availability
self.assertEqual(set(self.client.services["available_event_catalogs"]),
File "/usr/share/miniconda3/envs/test/lib/python3.11/unittest/case.py", line 873, in assertEqual
assertion_func(first, second, msg=msg)
File "/usr/share/miniconda3/envs/test/lib/python3.11/unittest/case.py", line 1133, in assertSetEqual
self.fail(self._formatMessage(msg, standardMsg))
File "/usr/share/miniconda3/envs/test/lib/python3.11/unittest/case.py", line 703, in fail
raise self.failureException(msg)
AssertionError: Items in the first set but not the second:
'GCMT\n '
'ISC\n '
'NEIC PDE\n '
Items in the second set but not the first:
'GCMT'
'ISC'
'NEIC PDE'
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/http/client.py", line 1374, in getresponse
response.begin()
File "/usr/share/miniconda3/envs/test/lib/python3.11/http/client.py", line 318, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/http/client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/socket.py", line 705, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
ConnectionResetError: [Errno 104] Connection reset by peer
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/requests/adapters.py", line 489, in send
resp = conn.urlopen(
^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 787, in urlopen
retries = retries.increment(
^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/util/retry.py", line 550, in increment
raise six.reraise(type(error), error, _stacktrace)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/packages/six.py", line 769, in reraise
raise value.with_traceback(tb)
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/urllib3/connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/http/client.py", line 1374, in getresponse
response.begin()
File "/usr/share/miniconda3/envs/test/lib/python3.11/http/client.py", line 318, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/http/client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/socket.py", line 705, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/nrl/tests/test_nrl.py", line 21, in setUp
self.nrl_online = NRL(root='http://ds.iris.edu/NRL')
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/core/util/decorator.py", line 50, in _deprecated
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/nrl/client.py", line 360, in __init__
super(self.__class__, self).__init__()
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/nrl/client.py", line 67, in __init__
self.sensors = self._parse_ini(sensor_index)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/nrl/client.py", line 128, in _parse_ini
cp = self._get_cp_from_ini(path)
^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/nrl/client.py", line 382, in _get_cp_from_ini
with io.StringIO(self._download(path)) as buf:
^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/obspy/clients/nrl/client.py", line 367, in _download
r = requests.get(url)
^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/requests/api.py", line 73, in get
return request("get", url, params=params, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/requests/api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/requests/sessions.py", line 587, in request
resp = self.send(prep, **send_kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/requests/sessions.py", line 701, in send
r = adapter.send(request, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/usr/share/miniconda3/envs/test/lib/python3.11/site-packages/requests/adapters.py", line 547, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

Skipped tests (5)

Submodule Test Skip message
clients.fdsn clients/fdsn/tests/test_client.py::ClientTestCase::test_eida_token_resolution Skipped: Token is expired
clients.fdsn clients/fdsn/tests/test_client.py::ClientTestCase::test_trim_stream_after_get_waveform Skipped: data no longer available
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_info Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_issue708 Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_time_window Skipped: test must be started manually

Slowest tests (20)

Runtime Test
20.139s clients/fdsn/tests/test_eidaws_routing_client.py::EIDAWSRoutingClientTestCase::test_get_waveforms_integration_test
9.071s clients/fdsn/tests/test_eidaws_routing_client.py::EIDAWSRoutingClientTestCase::test_get_stations_integration_test
8.393s clients/syngine/tests/test_client.py::ClientTestCase::test_get_available_models
6.962s clients/fdsn/tests/test_client.py::ClientTestCase::test_irisph5_event
6.093s clients/fdsn/tests/test_client.py::ClientTestCase::test_dataselect_bulk
5.862s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_waveforms
4.933s core/tests/test_stream.py::TestStream::test_read_url_via_network
4.872s clients/fdsn/tests/test_client.py::ClientTestCase::test_iris_example_queries_dataselect
4.742s clients/seedlink/tests/test_basic_client.py::ClientTestCase::test_multiple_waveform_requests_with_multiple_info_requests
3.822s clients/syngine/tests/test_client.py::ClientTestCase::test_get_waveforms
3.367s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms_bulk
2.952s clients/fdsn/tests/test_client.py::ClientTestCase::test_iris_example_queries_dataselect_discover_services_false
2.575s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms
2.503s clients/fdsn/tests/test_client.py::ClientTestCase::test_redirection
2.375s clients/syngine/__init__.py::obspy.clients.syngine
2.348s clients/fdsn/tests/test_client.py::ClientTestCase::test_redirection_auth
2.214s clients/fdsn/tests/test_federator_routing_client.py::FederatorRoutingClientTestCase::test_get_waveforms_integration_test
2.151s clients/fdsn/__init__.py::obspy.clients.fdsn
2.023s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_info
1.854s clients/fdsn/mass_downloader/__init__.py::obspy.clients.fdsn.mass_downloader